### Method

# AppStream Icon get_url

#### Declaration [src]

    const gchar*
    as_icon_get_url (
      AsIcon* icon
    )

#### Description [src]

Gets the icon URL, pointing at a remote location. HTTPS and FTP urls are allowed. This property is only set for icons of type `AS_ICON_KIND_REMOTE`.

#### Return value

Type: `const gchar*`

The URL.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.